<?php
namespace app\attachment\loglic;

class Datas
{
    //批量写入插件初始配置
    public function insertConfig()
    {
        return model('common/Config','loglic')->install([
            'upload_host' => DcRoot().'attachment/?val=',
        ],'common');
    }
    
    //批量写入插件动态字段
    public function insertField()
    {
        return model('common/Field','loglic')->install([
            [
                'op_name'     => 'attachment_score',
                'op_value'    => json_encode([
                    'type'         => 'number',
                    'value'        => 'intval',
                    'relation'     => 'eq',
                    'data-visible' => true,
                    'data-sortable'=> true,
                    'data-filter'  => false,
                ]),
                'op_module'   => 'attachment',
                'op_controll' => 'detail',
                'op_action'   => 'index',
                'op_order'    => 10,
            ]
        ]);
    }
    
    //批量添加后台菜单
    public function insertMenu()
    {
        //批量添加后台二级菜单
        $result = model('common/Menu','loglic')->install([
            [
                'term_name'   => '附件管理',
                'term_slug'   => 'attachment/admin/index',
                'term_info'   => 'fa-file',
                'term_module' => 'attachment',
            ],
        ],'系统');
        
        return true;
    }
    
    //卸载应用
    public function remove()
    {
        //删除公共配置
        \daicuo\Op::delete_all(['op_name'=>'upload_host']);
        //删除插件配置表
        \daicuo\Op::delete_module('attachment');
        //删除插件队列表
        \daicuo\Term::delete_module('attachment');
        //返回结果
        return true;
    }
    
    //删除应用（配置、后台菜单）
    public function delete()
    {
        //删除内容数据
        if(config('database.type') == 'sqlite'){
            for($i=0;$i<1000;$i++){
                \daicuo\Info::delete_all(['info_module'=>'attachment']);
            }
        }else{
            \daicuo\Info::delete_all(['info_module'=>'attachment']);
        }
        //删除基础数据
        $this->remove();
        //返回结果
        return true;
    }
}